
Foreman - Feature #3856

Expandable text areas fro overriden parameters

12/11/2013 03:46 PM - Ian Tewksbury

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2306

  

Description

If a parameter is overwriten you get a scrollable textbox but if the paramater value is multiple lines this is not very readable.

It would be ideal to auto exampand the text box to muliple lines so as to make the entire value readable at once as well as providing

functionality for the user to adjust the size of the text area manually if needed.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Blocked by Foreman - Refactor #10638: Refactor template full-screen mode so t... Closed 05/28/2015

Associated revisions

Revision 8b8be6e4 - 06/04/2015 07:07 AM - Tomer Brisker

Fixes #3856 - Make parameter value fields expandable

History

#1 - 12/11/2013 03:58 PM - Ian Tewksbury

I do not know how to close this, but it was just brought to my attention this is a problem with the fact that I am stuck in IE at the moment and not an

actually functional browser.

#2 - 12/11/2013 04:06 PM - Dominic Cleal

- Status changed from New to Rejected

No problem, closing.  Yeah, Firefox, Chrome etc will allow you to expand text areas with drag + drop.

#3 - 03/26/2014 11:19 AM - Dominic Cleal

- Status changed from Rejected to New

Reopening as although the text area can be resized in most browsers, we should make the default size usable when there's a lot of content present.

#4 - 03/26/2014 11:20 AM - Chris Malton

- File Screenshot - 260314 - 11_14_02.png added

Following a discussion with Dominic on IRC, see this attachment for an example of where this would be useful (there's ~100 lines in that box).

#5 - 03/26/2014 11:34 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#6 - 04/15/2015 10:21 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker
#7 - 04/15/2015 10:23 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2306 added

- Pull request deleted ()

#8 - 06/04/2015 07:10 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#9 - 06/04/2015 07:10 AM - Dominic Cleal

- Blocked by Refactor #10638: Refactor template full-screen mode so that it can be used for other elements added

#10 - 06/04/2015 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8b8be6e4b65e558526b37d997880eec85dbfd10d.

Files

Screenshot - 260314 - 11_14_02.png 39.1 KB 03/26/2014 Chris Malton
